Foreman - Feature #33551

Audits should be searchable by the current user so a role with filter to "see my audits" can be

created
09/23/2021 01:57 PM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulan
Category: Audit Log
Target version:
Difficulty: Fixed in Releases: 3.1.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8792,
https://github.com/theforeman/foreman/p
ull/8864
Description

Associated revisions

Revision b46326a4 - 10/19/2021 04:04 PM - Marek Hulan

Fixes #33551 - allow searching audits by current_user

A user would like to define a filter that would allow all users to see
their own audits. The only thing that's missing is to define the

scoped_search on Audit model that would accept the current_user value

for audits' user_id and user.

This PR allows to search audits by the following terms

user.id = 1
user.id = 100
user.id = current_user

user = admin
user = current_user

the syntax is consitent with other places we have similar support (e.g.
the tasks).

Revision dc1ac386 - 10/27/2021 02:08 PM - Marek Hulan
Refs #33551 - fix the searching in audits by user

The first PR allowed to search in search_users relation, however that
searches on the actual audited objects. So when used in filters, it
would grant access to see all audits of $my account by anyone. While
such search may still be useful, the original intention was to allow
searching by the author of the audit.

Given the user is already a search keyword, we call this
authored_by_user. The correct syntax then is

authored_by_user = admin
authored_by_user = current_user

authored_by_user.id = 2
authored_by_user.id = current_user

05/17/2024

1/2




History

#1 - 09/23/2021 02:02 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Marek Hulan

- Pull request https://github.com/theforeman/foreman/pull/8792 added

#2 - 09/24/2021 10:18 AM - Nacho Barrientos

Similarly, it'd be nice to be able to create a filter allowing to see audits on resources that the user that's logged in can see at this very moment (hosts,

hostgroups, etc). So basically if the current user can see a given host at the moment they'll be able to see the entire audit log of that resource, even if
in the past it was not visible to them.

#3 - 10/19/2021 04:05 PM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#4 - 10/19/2021 05:01 PM - Marek Hulan
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|b46326a459f75b4e7ebd7a635ba7d04fe2c2994b.

#5 - 10/21/2021 06:43 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8864 added

#6 - 11/15/2021 04:48 PM - Amit Upadhye
- Category set to Audit Log
